<?xml version="1.0" encoding="UTF-8" ?>

<components>

<component name="logfile"
           class="SyL_Logger"
           file="framework/SyL_Logger.php"
           priority="1">
  <constructor static="getLogger">
    <arg>file</arg>
  </constructor>
  <method name="open">
    <arg type="constant">SYL_LOG_FILE</arg>
  </method>
</component>

<component name="log"
           class="SyL_Loggers"
           reference="true"
           file="framework/SyL_Loggers.php"
           priority="2">
  <constructor static="getInstance" />

  <setter name="logger" direct="false">
    <arg type="component" reference="true">logfile</arg>
    <arg type="constant">SYL_DEBUG</arg>
  </setter>
  <method name="close" event="finalStream" />
</component>

<component name="error"
           class="SyL_Error"
           reference="true"
           file="framework/SyL_Error.php">
  <constructor static="getInstance">
    <arg type="component" reference="true">controller</arg>
  </constructor>

  <method name="errorHandler" event="errorStream" />
</component>

<component name="cmd"
           class="SyL_Console"
           reference="true"
           file="lib/SyL_Console.php">
</component>

<component name="componentmethod"
           class="SyL_ComponentMethod" 
           file="framework/SyL_ComponentMethod.php"
           priority="9">
  <constructor>
    <arg type="component" reference="true">controller</arg>
  </constructor>
  <method name="deleteAppComponent" event="executeStream" />
</component>

</components>
